On Sat, Oct 26, 2013 at 10:34:42PM +0000, brian m. carlson wrote:

> Enable the use of the Expect: 100-continue header for large requests where the
> server offers GSSAPI authentication to avoid this issue, since the request 
> would
> otherwise fail.  This allows git to get the authentication data right before
> sending the pack contents.  Existing cases where pushes would succeed, 
> including
> small requests using GSSAPI, still disable the use of 100 Continue, as it 
> causes
> problems for some remote HTTP implementations (servers and proxies).

This iteration looks very reasonable to me.

One minor nit:

> +             slot = get_active_slot();
> +             curl_easy_getinfo(slot->curl, CURLINFO_HTTPAUTH_AVAIL, 
> &authtype);
> +             if (authtype & CURLAUTH_GSSNEGOTIATE)
> +                     needs_100_continue = 1;

According to curl_easy_getinfo(3), CURLINFO_HTTPAUTH_AVAIL was
introduced in 7.10.8 (and it looks like CURLAUTH_GSSNEGOTIATE came
earlier in 7.10.6). We should probably surround it with

  #if LIBCURL_VERSION_NUM >= 0x070a08

-Peff
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majord...@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to